# tower_group – create, update, or destroy Ansible Tower group

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, update, or destroy Ansible Tower groups. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
credential - |  | Credential to use for the group.
description - |  | The description to use for the group.
group_by - |  | Limit groups automatically created from inventory source.
instance_filters - |  | Comma-separated list of filter expressions for matching hosts.
inventory - / required |  | Inventory the group should be made a member of.
name - / required |  | The name to use for the group.

overwrite
boolean

Choices:
- no ←
- yes

Delete child groups and hosts not found in source.

overwrite_vars - |  | Override vars in child groups and hosts with those from external source.

source
-

Choices:
- manual
- file
- ec2
- rax
- vmware
- gce
- azure
- azure_rm
- openstack
- satellite6
- cloudforms
- custom

The source to use for this group.

source_regions - |  | Regions for cloud provider.
source_script - |  | Inventory script to be used when group type is `custom`.
source_vars - |  | Override variables from source with variables from this field.

state
-

Choices:
- present ←
- absent

Desired state of the resource.

tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.

update_on_launch
boolean

Choices:
- no ←
- yes

Refresh inventory data from its source each time a job is run.

validate_certs
boolean

Choices:
- no
- yes

Whether to allow insecure connections to Tower.
If `no`, SSL certificates will not be validated.
This should only be used on personally controlled sites using self-signed certificates.
aliases: tower_verify_ssl

variables - |  | Variables to use for the group, use `@` for a file.

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Add tower group
      tower_group:
        name: localhost
        description: "Local Host Group"
        inventory: "Local Inventory"
        state: present
        tower_config_file: "~/tower_cli.cfg"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.